Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Events by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>"
    }
  ]
}
'
[
  {
    "url": "https://www.facebook.com/events/1546764716269782",
    "event_id": "1546764716269782",
    "name": "Tech Innovation Summit 2026",
    "description": "Join us for a day of innovation and networking...",
    "start_date": "2026-06-15T09:00:00.000Z",
    "end_date": "2026-06-15T17:00:00.000Z",
    "location": "San Francisco Convention Center",
    "address": "747 Howard St, San Francisco, CA 94103",
    "organizer": "TechEvents Inc.",
    "organizer_url": "https://www.facebook.com/techevents",
    "attendees_count": 1250,
    "interested_count": 3400,
    "is_online": false,
    "ticket_url": "https://techsummit2026.eventbrite.com",
    "cover_photo": "https://...",
    "category": "Science & Technology"
  }
]

Query Parameters

dataset_id
string
default:"gd_m14sd0to1jz48ppm51"
required
The dataset ID used for this request.
Must be set to gd_m14sd0to1jz48ppm51 to collect Facebook events data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.facebook.com/events/1546764716269782"},
    {"url": "https://www.facebook.com/events/9876543210123456"}
  ]
}
[
  {
    "url": "https://www.facebook.com/events/1546764716269782",
    "event_id": "1546764716269782",
    "name": "Tech Innovation Summit 2026",
    "description": "Join us for a day of innovation and networking...",
    "start_date": "2026-06-15T09:00:00.000Z",
    "end_date": "2026-06-15T17:00:00.000Z",
    "location": "San Francisco Convention Center",
    "address": "747 Howard St, San Francisco, CA 94103",
    "organizer": "TechEvents Inc.",
    "organizer_url": "https://www.facebook.com/techevents",
    "attendees_count": 1250,
    "interested_count": 3400,
    "is_online": false,
    "ticket_url": "https://techsummit2026.eventbrite.com",
    "cover_photo": "https://...",
    "category": "Science & Technology"
  }
]